Bug 3296 - [UPDATE REQUEST] [UPSTREAM UPDATE] rsync
: [UPDATE REQUEST] [UPSTREAM UPDATE] rsync
Status: RESOLVED FIXED
Product: Server Bugs
Classification: ROSA Server
Component: Main Packages
: unspecified
: All Linux
: Normal normal
: ---
Assigned To: Andrew Lukoshko
: ROSA Server Bugs
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2013-12-02 17:07 MSK by Andrew Lukoshko
Modified: 2014-01-10 10:56 MSK (History)
1 user (show)

See Also:
RPM Package:
ISO-related:
Bad POT generating:
Upstream:
alexander.petryakov: qa_verified+
andrew.lukoshko: published_server+


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Andrew Lukoshko 2013-12-02 17:07:17 MSK
Previously, the rsync tool did not check whether the inbuf variable is
non-empty. As a consequence, rsync terminated unexpectedly while trying to do
the required encoding in a loop. With this update, rsync checks whether inbuf is
non-empty and no longer crashes in the described scenario.

http://rhn.redhat.com/errata/RHBA-2013-1483.html

https://abf.rosalinux.ru/build_lists/1391129
https://abf.rosalinux.ru/build_lists/1391130
Comment 1 Alexander Petryakov 2013-12-06 01:28:32 MSK
rsync-3.0.6-9.res6.1
*********************** RHEL Advisory *************************
Previously, the rsync tool did not check whether the inbuf variable is
non-empty. As a consequence, rsync terminated unexpectedly while trying to do
the required encoding in a loop. With this update, rsync checks whether inbuf is
non-empty and no longer crashes in the described scenario.

http://rhn.redhat.com/errata/RHBA-2013-1483.html
***************************************************************
QA Verified